import 'package:agora_chat_demo/models/api.dart';
import 'package:agora_chat_demo/models/user_model.dart';
import 'package:dio/dio.dart';

class UserDao {
  Future<UserModel> getUser() async {
    var response = await Dio().get(Api.user);
    if (response.statusCode == 200) {
      return UserModel.fromJson(response.data);
    } else {
      throw Exception("Failed to get user");
    }
  }

  Future<UserModel> register(
    String username,
    String password,
    String nickname,
  ) async {
    var response = await Dio().post(Api.user, data: {
      "username": username,
      "password": password,
      "nickname": nickname,
    });
    if (response.statusCode == 200) {
      return UserModel.fromJson(response.data);
    } else {
      throw Exception("Failed to register user");
    }
  }
}
