import 'package:agora_chat_demo/models/base_model.dart';

class UserModel extends BaseModel {
  String username;
  String password;
  String nickname;

  UserModel(
      {required this.username, required this.password, required this.nickname});

  UserModel.fromJson(Map<String, dynamic> json)
      : username = json['username'],
        password = json['password'],
        nickname = json['nickname'];
}

class UserEntity {
  List<UserModel>? users;
  int? errorCode;
  String? errorMsg;
  UserEntity({this.users, this.errorCode, this.errorMsg});
  UserEntity.fromJson(Map<String, dynamic> json) {
    if (json['users'] != null) {
      users = <UserModel>[];
      json['users'].forEach((v) {
        users!.add(UserModel.fromJson(v));
      });
    }
    errorCode = json['errorCode'];
    errorMsg = json['errorMsg'];
  }
}
